计算管理/集群相关接口
GETCluster Related Interfaces起始版本 4.3.6同步需要认证
获取集群主机物理网络信息
获取集群主机物理网络信息
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
查询参数
请求参数
路径参数
hostUuidString必填集群UUID
查询参数
limitInteger最多返回的记录数。
startInteger暂无描述。
systemTagsList系统标签。
userTagsList用户标签。
响应状态
请求地址
GET/zstack/v1/cluster/hosts-network-facts/{clusterUuid}?hostUuid={hostUuid}
/zstack/v1/cluster/hosts-network-facts/{clusterUuid}?hostUuid={hostUuid}
请求示例
curl -X GET 'http://{host}/zstack/v1/cluster/hosts-network-facts/{clusterUuid}?hostUuid={hostUuid}?limit=1&start=1&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'
响应示例
200{ "bondings": [ { "uuid": "23d8ef3080f3379887097e816463d1cf", "hostUuid": "46ee6624a6a8307295c583884340d5c2", "bondingName": "bond0", "mode": "active-backup 1", "xmitHashPolicy": "layer2 0", "miiStatus": "up", "mac": "ac:1f:6b:93:6c:8c", "ipAddresses": [ "172.20.0.116/16" ], "miimon": 100, "allSlavesActive": true, "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM", "slaves": [ { "uuid": "79bae81259b83a5989d9f7664ea033ba", "hostUuid": "46ee6624a6a8307295c583884340d5c2", "bondingUuid": "23d8ef3080f3379887097e816463d1cf", "interfaceName": "eno1", "interfaceType": "bondingSlave", "speed": 1000, "slaveActive": true, "carrierActive": true, "mac": "ac:1f:6b:93:6c:8c", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" }, { "uuid": "197768d887cf3f2a985f58d0e10a48b4", "hostUuid": "46ee6624a6a8307295c583884340d5c2", "bondingUuid": "23d8ef3080f3379887097e816463d1cf", "interfaceName": "eno2", "interfaceType": "bondingSlave", "speed": 1000, "slaveActive": false, "carrierActive": false, "mac": "ac:1f:6b:93:6c:8c", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ] } ], "nics": [ { "uuid": "79bae81259b83a5989d9f7664ea033ba", "hostUuid": "46ee6624a6a8307295c583884340d5c2", "bondingUuid": "23d8ef3080f3379887097e816463d1cf", "interfaceName": "eno1", "interfaceType": "bondingSlave", "speed": 1000, "slaveActive": true, "carrierActive": true, "mac": "ac:1f:6b:93:6c:8c", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" }, { "uuid": "197768d887cf3f2a985f58d0e10a48b4", "hostUuid": "46ee6624a6a8307295c583884340d5c2", "bondingUuid": "23d8ef3080f3379887097e816463d1cf", "interfaceName": "eno2", "interfaceType": "bondingSlave", "speed": 1000, "slaveActive": false, "carrierActive": false, "mac": "ac:1f:6b:93:6c:8c", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" }, { "uuid": "2b43c44d63b03009a52cd95dbceccc21", "hostUuid": "46ee6624a6a8307295c583884340d5c2", "interfaceName": "ens2f0", "interfaceType": "noMaster", "speed": 1000, "slaveActive": true, "carrierActive": true, "ipAddresses": [ "169.254.0.115/24" ], "mac": "98:03:9b:00:ea:f2", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" }, { "uuid": "3071fef136fa3102b7289c3e3c461da1", "hostUuid": "46ee6624a6a8307295c583884340d5c2", "interfaceName": "ens2f1", "interfaceType": "bridgeSlave", "speed": 1000, "slaveActive": false, "carrierActive": false, "mac": "98:03:9b:00:ea:f3", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ] }变更历史
此 API 暂无变更历史记录。
